AsterNet Class Library (Sandcastle documentation)

| GetFullVariableCommand Class

Returns the value of the given channel varible and understands complex variable names and builtin variables, unlike the GetVariableCommand.
You can also use this command to use custom Asterisk functions. Syntax is "func(args)".
Returns 0 if the variable is not set or channel does not exist. Returns 1 if the variable is set and returns the variable in parenthesis.
Example return code: 200 result=1 (testvariable) Available since Asterisk 1.2
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
GetFullVariableCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class GetFullVariableCommand : AGICommand

    Public Class GetFullVariableCommand
    	Inherits AGICommand

    public ref class GetFullVariableCommand : public AGICommand

    type GetFullVariableCommand =
        class
            inherit AGICommand
        end

The GetFullVariableCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| GetFullVariableCommand(String) | Creates a new GetFullVariableCommand.
| GetFullVariableCommand(String, String) | Creates a new GetFullVariableCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Channel | Get/Set the name of the channel.
| Variable | Get/Set the name of the variable to retrieve.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace